import os
import re

from typing import List


def get_modules() -> List[str]:
    modules = []
    modules_dir = os.path.join(os.path.dirname(os.path.realpath(__file__)), 'module')
    for name in os.listdir(modules_dir):
        if os.path.isdir(os.path.join(modules_dir, name)):
            continue
        name = re.sub(r'\.py$', '', name)
        modules.append(name)
    return modules
